---
title: '<head>: The Document Metadata (Header) element'
slug: Web/HTML/Element/head
tags:
  - Element
  - HTML
  - HTML document metadata
  - 'HTML:Metadata content'
  - Reference
  - Web
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;head&gt;</code> element</strong> contains machine-readable information ({{glossary("metadata")}}) about the document, like its <a href="/en-US/docs/Web/HTML/Element/title">title</a>, <a href="/en-US/docs/Web/HTML/Element/script">scripts</a>, and <a href="/en-US/docs/Web/HTML/Element/style">style sheets</a>.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> <code>&lt;head&gt;</code> primarily holds information for machine processing, not human-readability. For human-visible information, like top-level headings and listed authors, see the {{HTMLElement("header")}} element.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td>
    <p>If the document is an {{HTMLElement("iframe")}} {{htmlattrxref("srcdoc", "iframe")}} document, or if title information is available from a higher level protocol (like the subject line in HTML email), zero or more elements of metadata content.</p>

    <p>Otherwise, one or more elements of metadata content where exactly one is a {{HTMLElement("title")}} element.</p>
   </td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The start tag may be omitted if the first thing inside the <code>&lt;head&gt;</code> element is an element.<br>
    The end tag may be omitted if the first thing following the <code>&lt;head&gt;</code> element is not a space character or a comment.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>An {{HTMLElement("html")}} element, as its first child.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLHeadElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("profile")}} {{obsolete_inline}}</dt>
 <dd>The {{glossary("URI")}}s of one or more metadata profiles, separated by {{Glossary("whitespace", "white space")}}.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;!doctype html&gt;
&lt;html&gt;
  &lt;head&gt;
    &lt;title&gt;Document title&lt;/title&gt;
  &lt;/head&gt;
&lt;/html&gt;
</pre>

<h2 id="Notes">Notes</h2>

<p>HTML5-compliant browsers automatically create a <code>&lt;head&gt;</code> element if its tags are omitted in the markup. <a class="external" href="https://www.stevesouders.com/blog/2010/05/12/autohead-my-first-browserscope-user-test/">This auto-creation is not guaranteed in ancient browsers</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-head-element', '&lt;head&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from latest shapshot</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'document-metadata.html#the-head-element', '&lt;head&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Obsoleted <code>profile</code></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/global.html#h-7.4.1', '&lt;head&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("html.elements.head")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Elements that can be used inside the <code>&lt;head&gt;</code>:

  <ul>
   <li>{{HTMLElement("title")}}</li>
   <li>{{HTMLElement("base")}}</li>
   <li>{{HTMLElement("link")}}</li>
   <li>{{HTMLElement("style")}}</li>
   <li>{{HTMLElement("meta")}}</li>
   <li>{{HTMLElement("script")}}</li>
   <li>{{HTMLElement("noscript")}}</li>
   <li>{{HTMLElement("template")}}</li>
  </ul>
 </li>
</ul>
